CVE-2021-31404

Information Exposure Through Discrepancy in maven/com.vaadin/flow-server

Identifier

CVE-2021-31404

Package Slug

maven/com.vaadin/flow-server

Vulnerability

Information Exposure Through Discrepancy

Description

Non-constant-time comparison of CSRF tokens in UIDL request handler in com.vaadin:flow-server allows attacker to guess a security token via timing attack.

Affected Versions

All versions starting from 1.0.0 through 1.0.13, all versions starting from 1.1 through 1.4, all versions starting from 2.0.0 through 2.4.6, all versions starting from 3.0 through 4.0, all version starting from 5.0.0 through 5.0.2

Solution

Upgrade to versions 1.0.14, 2.4.7, 5.0.3, or higher.

Last Modified

2021-05-07

source